%define _name gnubiff

%def_with password

Name: %_name-gnome
Version: 2.2.3
Release: alt1.1

Summary: gnubiff is a mail notifier that displays headers when new mail has arrived.
License: GPL
Group: Networking/Mail
Url: http://gnubiff.sourceforge.net

Source: http://citkit.dl.sourceforge.net/sourceforge/%_name/%_name-%version.tar.bz2

PreReq: %__install_info

Conflicts: gnubiff

# From configure.ac
BuildPreReq: libgamin-devel >= 0.1.0
BuildPreReq: libgtk+2-devel >= 2.6
BuildPreReq: glib2-devel >= 2.4
BuildPreReq: libglade2-devel >= 2.3
BuildPreReq: libpopt-devel libssl-devel libgnome-panel-devel

BuildRequires: gcc-c++ libSM-devel libxml2-devel perl-XML-Parser

%description
gnubiff is a mail notification program that checks for mail and displays
headers when new mail has arrived. This package contains a GNOME version
that works in GNOME panel.

gnubiff features include:

    * Multiple mailbox support
    * pop3, apop, imap4, mh, qmail and mailfile support
    * SSL & certificates support
    * GNOME support with complete integration to panel
    * GTK stand-alone support
    * Automatic detection of mailbox format
    * Mail header & content display
    * IDLE state support for imap4
    * FAM support for mh/qmail/mailfile
    * PNG animation support
    * Highly configurable
    * Spam filtering
    * HIG 2.0 compliance
    * Small memory usage

%prep
%setup -q -n %_name-%version

%build
%configure \
    %{subst_with password} \
    %{?_with_password:--with-password-string="andthentherewere3"} \
    --enable-expert \
    --enable-gnome

%make_build

%install
%makeinstall

%find_lang %_name

%post
%install_info %_name.info

%preun
%uninstall_info %_name.info

%files -f %_name.lang
%_bindir/%_name
%_libdir/bonobo/servers/*
%_datadir/%_name/*
%_datadir/gnome-2.0/ui/*
%_datadir/pixmaps/*
%_infodir/*.info*
%_man1dir/*
%doc README ChangeLog COPYING THANKS TODO NEWS AUTHORS

%changelog
* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.2.3-alt1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Mon Oct 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.2.3-alt1
- new version 2.2.3 (with rpmrb script)

* Tue Aug 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.2.2-alt1
- new version (2.2.2)
- added passwords saving switch and turned it on by default (per
  hiddenman@'s request).

* Sun Jun 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.2.1-alt1
- new version (2.2.1)
- updated dependencies.

* Tue Aug 23 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.1.5-alt1
- New upstream version.

* Thu Jul 21 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.1.4-alt1
- New upstream version.

* Mon Apr 11 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.1.3-alt1
- Initial Sisyphus package.

